SDL_BlitMap Struct Reference

`#include <SDL_blit.h>`

Collaboration diagram for SDL_BlitMap:
[legend]

## Data Fields

SDL_Surface * | dst
int | identity
SDL_blit | blit
void * | data
SDL_BlitInfo | info
Uint32 | dst_palette_version
Uint32 | src_palette_version

## Detailed Description

Definition at line 86 of file SDL_blit.h.

## Field Documentation

## blit

SDL_blit SDL_BlitMap::blit

Definition at line 90 of file SDL_blit.h.

Referenced by SDL_CalculateBlit(), SDL_LowerBlit(), and SDL_RLESurface().

## data

void* SDL_BlitMap::data

Definition at line 91 of file SDL_blit.h.

Referenced by RLEAlphaSurface(), RLEColorkeySurface(), SDL_CalculateBlit(), SDL_RLEAlphaBlit(), SDL_RLEBlit(), SDL_SoftBlit(), SDL_UnRLESurface(), and UnRLEAlpha().

## dst

SDL_Surface* SDL_BlitMap::dst

Definition at line 88 of file SDL_blit.h.

Referenced by RLEAlphaSurface(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

## dst_palette_version

Uint32 SDL_BlitMap::dst_palette_version

Definition at line 96 of file SDL_blit.h.

Referenced by SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

## identity

int SDL_BlitMap::identity

Definition at line 89 of file SDL_blit.h.

Referenced by SDL_CalculateBlit(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_MapSurface(), and SDL_RLESurface().

## info

SDL_BlitInfo SDL_BlitMap::info

Definition at line 92 of file SDL_blit.h.

Referenced by RLEColorkeySurface(), SDL_AllocBlitMap(), SDL_CalculateBlit(), SDL_CalculateBlit0(), SDL_CalculateBlit1(), SDL_CalculateBlitA(), SDL_CalculateBlitN(), SDL_ConvertColorkeyToAlpha(), SDL_ConvertSurface(), SDL_CreateSurfaceOnStack(), SDL_GetColorKey(), SDL_GetSurfaceAlphaMod(), SDL_GetSurfaceColorMod(), SDL_InvalidateMap(), SDL_LowerBlitScaled(), SDL_MapSurface(), SDL_RLEBlit(), SDL_RLESurface(), SDL_SaveBMP_RW(), SDL_SetColorKey(), SDL_SetSurfaceAlphaMod(), SDL_SetSurfaceBlendMode(), SDL_SetSurfaceColorMod(), SDL_SetSurfaceRLE(), SDL_SoftBlit(), SDL_UnRLESurface(), and SDL_UpperBlit().

## src_palette_version

Uint32 SDL_BlitMap::src_palette_version

Definition at line 97 of file SDL_blit.h.

Referenced by SDL_InvalidateMap(), SDL_LowerBlit(), and SDL_MapSurface().

The documentation for this struct was generated from the following file:

- src/video/SDL_blit.h